"""
Exercise 1 - Basic python operations
"""

def main():
	q1()
	q2()
	q3()
	theList = q4()
	q5(theList)
	q6()

def q1():
	""" Int vs. float
	Add 1 and 6 together, and store as A.  Divide A by 2.  Then Add 3.5 to A and store as B.  Divide B by 2. """
	A = 1 + 6
	r1 = A / 2
	print 'A / 2 = ' + str(r1)
	
	B = A + 0.5
	r2 = B / 2
	print 'B / 2 = ' + str(r2)

def q2():
	""" Importing a module
	Import cool_module
	Then use cool_modules 'say_hi' function """
	import cool_module as cm
	cm.say_hi()

def q3():
	""" Function scope
	What will each function print?
	"""
	def funcA(s):
		s = "Ain't nobody got time for " + s

	def funcB(n):
		n += 2

	def funcC(l):
		l += ['a', 'b']

	s1 = 'jogging'
	funcA(s1)
	print s1
	
	n1 = 5
	funcB(n1)
	print n1

	l1 = ['hi', 'friend']
	funcC(l1)
	print l1

def q4():
	""" Make a list with five words in it. Call it myList and pass it back to the main function. """
	myList = ['Python', 'it', 'is', 'so', 'fun']
	return myList

def q5(aList):
	""" Go through each element in the list and capitalize it, overwriting the list.  Print each capitalized word using a for loop. """
	# Option 1
	aList = [word.capitalize() for word in aList]
	for word in aList:
		print word

	# Option 2
	newList = []
	for word in aList:
		print word.capitalize()
		newList.append(word.capitalize())

	aList = newList
	newList = None

def q6():
	""" Make a dictionary that lets you look up each animal's favorite food.  Then print each animal-food combination.
	Print the food for one animal separately using a key lookup. """
	myDict = {'rabbit': 'carrots', 'dog': 'peanut butter', 'cat': 'tuna', 'horse': 'sugar cubes', 'squirrel': 'acorns'}
	for animal, food in myDict.items():
		print 'The ' + animal + ' loves ' + food + '.'
	print myDict['rabbit']

if __name__ == "__main__":
	main()